#ifndef __COMPARE_SN_H__
#define __COMPARE_SN_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplMPSpecification.h : header file
//

#include "stdafx.h"
#include <apl_api.h>
#include <apl_gui.h>
#include <aplguiex.h>

DLL_EXPORT bool InitCompareLib(CaplAPI *pAPI);

DLL_EXPORT BOOL IsOPKVZSN(CString &sn);
DLL_EXPORT BOOL IsMi8KVZSN(CString &sn);
DLL_EXPORT BOOL IsMi38(CString &sn);
DLL_EXPORT BOOL IsShortMi8KVZSN(CString &sn);
DLL_EXPORT BOOL IsAnsatKVZSN(CString &sn);
DLL_EXPORT BOOL IsMi8BladesKVZSN(CString &sn);
DLL_EXPORT BOOL IsKVZSN(CString &sn);
DLL_EXPORT BOOL IntervalIsVerified(CString &sn1, CString &sn2);

DLL_EXPORT int CompareSN(CString &sn1, CString &sn2);
DLL_EXPORT int KVZCompareSN(CString &sn1, CString &sn2);

DLL_EXPORT CString GetPrevSN(CString &sn);
DLL_EXPORT CString KVZGetPrevSN(CString &sn);
DLL_EXPORT CString GetStringPrevSN(CString &sn);

DLL_EXPORT CString GetNextSN(CString &sn);
DLL_EXPORT CString KVZGetNextSN(CString &sn);
DLL_EXPORT CString GetStringNextSN(CString &sn);

#endif //__COMPARE_SN_H__